Can I use .php filesΒΆ

Yes, but only when the DevTools plugin is installed and the plugin/PocketMine API versions are both the same. Take a look at the plugin example

For small test plugins there is a new way, check out this forum thread